%global debug_package %{nil}

Name:		handbrake
Version:	1.1.2
Release:	1%{?dist}
Summary:	A tool for converting video from nearly any format to a selection of modern, widely supported codecs

License:	GPLv2 with exceptions
URL:		http://handbrake.fr/
# Source0:	http://handbrake.fr/rotation.php?file=HandBrake-%%{version}.tar.bz2
Source0:	HandBrake-%{version}-source.tar.bz2

BuildRequires:	wget, libtool, svn, intltool
BuildRequires:	yasm, zlib-devel, bzip2-devel, libogg-devel, libtheora-devel, libvorbis-devel, libsamplerate-devel, libxml2-devel, fribidi-devel, freetype-devel, fontconfig-devel, libass-devel, dbus-glib-devel, libgudev1-devel, webkitgtk4-devel, libnotify-devel, gstreamer-devel, gstreamer-plugins-base-devel
BuildRequires:	x264-devel
BuildRequires:	lame-devel
BuildRequires:	gtk+-devel
BuildRequires:	opus-devel
BuildRequires:	jansson-devel
BuildRequires:	python2


%description
HandBrake is a tool for converting video from nearly any format to
a selection of modern, widely supported codecs.


%prep
%setup -q -n HandBrake-%{version}


%build
./configure --build=%{_host} --prefix=%{_prefix} --enable-fdk
# pushd build
pushd %{_host}
make %{?_smp_mflags}
popd


%install
# pushd build
pushd %{_host}
make install DESTDIR=$RPM_BUILD_ROOT
popd


%clean


%files
# %%doc AUTHORS COPYING CREDITS NEWS THANKS TRANSLATIONS doc/*
%{_bindir}/HandBrakeCLI
%{_bindir}/ghb
%{_datadir}/applications/fr.handbrake.ghb.desktop
%{_datadir}/icons/hicolor/*/apps/hb-icon.*
%{_datadir}/icons/hicolor/*/apps/fr.handbrake.ghb.*
%{_datadir}/locale/*/LC_MESSAGES/ghb.mo
%{_datadir}/metainfo/fr.handbrake.ghb.appdata.xml

%changelog
* Mon Sep 10 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 1.1.2-1
- update to version 1.1.2

* Sun Apr  8 2018 J. Randall Owens <jrowens@ghiapet.net> - 1.1.0-1
- Update to version 1.1.0
- switch to webkitgtk4

* Fri Feb  9 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 1.0.7-14
- clean up spec file to current standards

* Wed Jul 12 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.0.7-12
- BuildRequire python2

* Fri Jun 23 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.0.7-11
- rebuild for x264-0.148

* Fri Jun 23 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.0.7-10
- rebuild for ffmpeg-2.8.12

* Tue Apr 11 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.0.7-9
- update to version 1.0.7

* Sun Feb 26 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.0.3-8
- update to version 1.0.3

* Sun Feb 19 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.0.2-7
- update to version 1.0.2

* Tue Jan  3 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.0.1-6
- correct Group

* Fri Dec 30 2016 J. Randall Owens <jrowens@ghiapet.net> - 1.0.1-5
- update to version 1.0.1
- add BuildRequires jansson-devel, opus-devel

* Sun Dec  4 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.10.5-4
- re-enable FDK-AAC

* Thu Nov 24 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.10.5-2
- clean up per rpmlint

* Sat Jun 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.10.5-1
- update to version 0.10.5

* Thu Dec 25 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 0.10.0-1
- Update to version 0.10.0

* Fri Mar  7 2014 J. Randall Owens <jrowens@rs3.ghiapet.net> - 0.9.9-2
- try adding x264 to see if that prevents crash

